summaryrefslogtreecommitdiffstats
path: root/office/broffice.org
diff options
context:
space:
mode:
author Eduardo Oda <edu.oda@gmail.com>2010-05-12 23:32:58 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:32:58 +0200
commit2434206fd0ba430516f5bf6f5a8755438f5d3022 (patch)
tree7f689a59c246a1dd1a058b0285b3169c8b1953bb /office/broffice.org
parente5ceba8a763520d8568792f38c84fd788ad07a7d (diff)
downloadslackbuilds-2434206fd0ba430516f5bf6f5a8755438f5d3022.tar.gz
slackbuilds-2434206fd0ba430516f5bf6f5a8755438f5d3022.tar.xz
office/broffice.org: Added to 12.2 repository
Diffstat (limited to 'office/broffice.org')
-rw-r--r--office/broffice.org/README5
-rw-r--r--office/broffice.org/broffice.org.SlackBuild119
-rw-r--r--office/broffice.org/broffice.org.info8
-rw-r--r--office/broffice.org/desktop-file-fix-3.0.1-pt_BR.diff72
-rw-r--r--office/broffice.org/doinst.sh16
-rw-r--r--office/broffice.org/slack-desc21
6 files changed, 241 insertions, 0 deletions
diff --git a/office/broffice.org/README b/office/broffice.org/README
new file mode 100644
index 0000000000..e61980e0c7
--- /dev/null
+++ b/office/broffice.org/README
@@ -0,0 +1,5 @@
+BrOffice.org is the official Brazilian version of OpenOffice.org.
+
+This script is based on OpenOffice.org slackbuild available at SlackBuilds.org
+and it only works for pt_BR, so if you want OpenOffice in another language,
+use the OpenOffice.org SlackBuild.
diff --git a/office/broffice.org/broffice.org.SlackBuild b/office/broffice.org/broffice.org.SlackBuild
new file mode 100644
index 0000000000..afa4ed6be8
--- /dev/null
+++ b/office/broffice.org/broffice.org.SlackBuild
@@ -0,0 +1,119 @@
+#!/bin/sh
+
+# Slackware build script for OpenOffice.org
+
+# Copyright 2006-2009 Robby Workman, Northport, Alabama, ASA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Thanks to Sandman1, Larhzu, and MacIver for early assistance.
+# Thanks to Fred Emmott (http://slamd64.com) for some better code in a few
+# places and ideas to include the Optimization Solver and disable javaldx.
+# Thanks to hba for the idea to include support for other languages.
+# Thanks to Nille Akerstrom for the diff to support w/JRE tarballs
+
+PRGNAM=broffice.org
+VERSION=3.0.1
+ARCH=i586 # The binaries are built for i586 - leave this alone
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Work just for pt-BR. Other languages must use the OpenOffice.org slackbuild.
+OOLANG="pt-BR" # Leave this alone
+PKG_LANG=$(echo $OOLANG | sed s/-/_/) # Leave this alone
+
+# If you want to disable java support by removing executable permissions
+# form OOo's java loader (this will not affect other apps), set this
+# variable to "YES" Default is "NO"
+# According to Fred Emmott, this is *highly* desirable on 64 bit systems
+DISABLE_JAVA=${DISABLE_JAVA:-NO}
+
+# Yes, I know there is a Slackware integration file in the desktop-integration
+# directory, but it's worthless to us. I'd prefer to do things correctly.
+
+# Ignore this - it's just to get the toplevel directory name of the
+# extracted tarball archive
+SOURCEDIR=$(tar tzf $CWD/BrOo_${VERSION}_LinuxIntel_install_${OOLANG}.tar.gz | head -1 | tr -d \/)
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$SOURCEDIR
+
+tar xvf $CWD/BrOo_${VERSION}_LinuxIntel_install_${OOLANG}.tar.gz -C $TMP
+
+cd $TMP/$SOURCEDIR/RPMS/
+mv desktop-integration/*-freedesktop-menus-*.rpm .
+rm *onlineupdate*.rpm *ooofonts*.rpm # We don't want/need these
+for FILE in *.rpm ; do rpm2cpio < $FILE | cpio -imdv ; done
+rm -rf desktop-integration *.rpm
+mv opt usr $PKG
+cd $PKG
+
+# Create symlinks in /usr/bin to actual binaries
+cd $PKG/usr/bin
+ for FILE in \
+ sbase scalc sdraw simpress smath soffice spadmin swriter unopkg ; do
+ rm -f $FILE
+ ln -sf ../../opt/broffice.org3/program/$FILE $FILE ;
+ done
+cd -
+
+# Fix Exec commands in the desktop files
+# See http://bugzilla.xfce.org/show_bug.cgi?id=2430
+patch -p1 < $CWD/desktop-file-fix-${VERSION}-${PKG_LANG}.diff
+
+# Install dictionary extensions for spellchecking
+UNOPKG_BIN=$PKG/opt/broffice.org3/program/unopkg
+DICT_DIR=$PKG/opt/broffice.org3/share/extension/install
+if [ -x "$UNOPKG_BIN" ]; then
+ UNOPKG_TMP=$TMP/$$$$$$
+ find $DICT_DIR -type f -name "dict-*.oxt" \
+ -exec $UNOPKG_BIN add --shared {} \
+ "-env:UserInstallation=file:///$UNOPKG_TMP" \;
+ rm -rf $UNOPKG_TMP # Clean up after ourselves
+fi
+
+# Move docs to their expected locations
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cd $PKG/opt/broffice.org3
+ mv README* *LICENSE* readmes licenses $PKG/usr/doc/$PRGNAM-$VERSION
+cd -
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Disable Java support if desired (see above)
+if [ "$DISABLE_JAVA" = "YES" ]; then
+ chmod -x $PKG/opt/broffice.org/ure/bin/javaldx
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+# Fix ownership and permissions and make the package
+chown -R root:root .
+find . -type d -exec chmod 755 {} \;
+chmod -R u+rw,go+r-w,a-s .
+/sbin/makepkg -c n -l y $OUTPUT/$PRGNAM-${VERSION}_${PKG_LANG}-$ARCH-$BUILD$TAG.tgz
diff --git a/office/broffice.org/broffice.org.info b/office/broffice.org/broffice.org.info
new file mode 100644
index 0000000000..2ba1fe9358
--- /dev/null
+++ b/office/broffice.org/broffice.org.info
@@ -0,0 +1,8 @@
+PRGNAM="broffice.org"
+VERSION="3.0.1"
+HOMEPAGE="http://broffice.org"
+DOWNLOAD="ftp://ftp.broffice.org/stable/3.0.1/BrOo_3.0.1_LinuxIntel_install_pt-BR.tar.gz"
+MD5SUM="68883c544b9686a3cc34876004c65bac"
+MAINTAINER="Eduardo Oda"
+EMAIL="edu.oda@gmail.com"
+APPROVED="rworkman"
diff --git a/office/broffice.org/desktop-file-fix-3.0.1-pt_BR.diff b/office/broffice.org/desktop-file-fix-3.0.1-pt_BR.diff
new file mode 100644
index 0000000000..203c203169
--- /dev/null
+++ b/office/broffice.org/desktop-file-fix-3.0.1-pt_BR.diff
@@ -0,0 +1,72 @@
+diff -Nur a/opt/broffice.org3/share/xdg/base.desktop b/opt/broffice.org3/share/xdg/base.desktop
+--- a/opt/broffice.org3/share/xdg/base.desktop 2009-01-09 12:09:18.000000000 -0200
++++ b/opt/broffice.org3/share/xdg/base.desktop 2009-02-04 13:55:42.000000000 -0200
+@@ -4,7 +4,7 @@
+ Icon=brofficeorg3-base
+ Type=Application
+ Categories=Office;X-Red-Hat-Base;X-SuSE-Core-Office;X-MandrivaLinux-MoreApplications-Databases;
+-Exec=broffice.org3 -base %U
++Exec=sbase %U
+ MimeType=application/vnd.oasis.opendocument.database;application/vnd.sun.xml.base;
+ Name=BrOffice.org 3.0 Base
+ GenericName=Database Development
+diff -Nur a/opt/broffice.org3/share/xdg/calc.desktop b/opt/broffice.org3/share/xdg/calc.desktop
+--- a/opt/broffice.org3/share/xdg/calc.desktop 2009-01-09 12:09:18.000000000 -0200
++++ b/opt/broffice.org3/share/xdg/calc.desktop 2009-02-04 13:56:12.000000000 -0200
+@@ -4,7 +4,7 @@
+ Icon=brofficeorg3-calc
+ Type=Application
+ Categories=Office;X-Red-Hat-Base;X-SuSE-Core-Office;X-MandrivaLinux-Office-Spreadsheets;
+-Exec=broffice.org3 -calc %U
++Exec=scalc %U
+ MimeType=application/vnd.oasis.opendocument.spreadsheet;application/vnd.oasis.opendocument.spreadsheet-template;application/vnd.sun.xml.calc;application/vnd.sun.xml.calc.template;application/vnd.stardivision.calc;application/vnd.stardivision.chart;application/msexcel;application/vnd.ms-excel;application/vnd.openxmlformats-officedocument.spreadsheetml.sheet;application/vnd.ms-excel.sheet.macroenabled.12;application/vnd.openxmlformats-officedocument.spreadsheetml.template;application/vnd.ms-excel.template.macroenabled.12;application/vnd.ms-excel.sheet.binary.macroenabled.12;
+ Name=BrOffice.org 3.0 Calc
+ GenericName=Spreadsheet
+diff -Nur a/opt/broffice.org3/share/xdg/draw.desktop b/opt/broffice.org3/share/xdg/draw.desktop
+--- a/opt/broffice.org3/share/xdg/draw.desktop 2009-01-09 12:09:18.000000000 -0200
++++ b/opt/broffice.org3/share/xdg/draw.desktop 2009-02-04 13:56:26.000000000 -0200
+@@ -4,7 +4,7 @@
+ Icon=brofficeorg3-draw
+ Type=Application
+ Categories=Office;X-Red-Hat-Base;X-SuSE-Core-Office;X-MandrivaLinux-Office-Drawing;
+-Exec=broffice.org3 -draw %U
++Exec=sdraw %U
+ MimeType=application/vnd.oasis.opendocument.graphics;application/vnd.oasis.opendocument.graphics-template;application/vnd.sun.xml.draw;application/vnd.sun.xml.draw.template;application/vnd.stardivision.draw;
+ Name=BrOffice.org 3.0 Draw
+ Comment=Create and edit drawings, flow charts, and logos by using Draw.
+diff -Nur a/opt/broffice.org3/share/xdg/impress.desktop b/opt/broffice.org3/share/xdg/impress.desktop
+--- a/opt/broffice.org3/share/xdg/impress.desktop 2009-01-09 12:09:18.000000000 -0200
++++ b/opt/broffice.org3/share/xdg/impress.desktop 2009-02-04 13:57:05.000000000 -0200
+@@ -4,7 +4,7 @@
+ Icon=brofficeorg3-impress
+ Type=Application
+ Categories=Office;X-Red-Hat-Base;X-SuSE-Core-Office;X-MandrivaLinux-Office-Presentations;
+-Exec=broffice.org3 -impress %U
++Exec=simpress %U
+ MimeType=application/vnd.oasis.opendocument.presentation;application/vnd.oasis.opendocument.presentation-template;application/vnd.sun.xml.impress;application/vnd.sun.xml.impress.template;application/vnd.stardivision.impress;application/mspowerpoint;application/vnd.ms-powerpoint;application/vnd.openxmlformats-officedocument.presentationml.presentation;application/vnd.ms-powerpoint.presentation.macroenabled.12;application/vnd.openxmlformats-officedocument.presentationml.template;application/vnd.ms-powerpoint.template.macroenabled.12;
+ Name=BrOffice.org 3.0 Impress
+ GenericName=Presentation
+diff -Nur a/opt/broffice.org3/share/xdg/math.desktop b/opt/broffice.org3/share/xdg/math.desktop
+--- a/opt/broffice.org3/share/xdg/math.desktop 2009-01-09 12:09:19.000000000 -0200
++++ b/opt/broffice.org3/share/xdg/math.desktop 2009-02-04 13:57:28.000000000 -0200
+@@ -4,7 +4,7 @@
+ Icon=brofficeorg3-math
+ Type=Application
+ Categories=Office;X-Red-Hat-Base;X-SuSE-Core-Office;X-MandrivaLinux-Office-Other;
+-Exec=broffice.org3 -math %U
++Exec=smath %U
+ MimeType=application/vnd.oasis.opendocument.formula;application/vnd.sun.xml.math;application/vnd.stardivision.math;
+ Name=BrOffice.org 3.0 Math
+ Comment=Create and edit scientific formulas and equations by using Math.
+diff -Nur a/opt/broffice.org3/share/xdg/writer.desktop b/opt/broffice.org3/share/xdg/writer.desktop
+--- a/opt/broffice.org3/share/xdg/writer.desktop 2009-01-09 12:09:19.000000000 -0200
++++ b/opt/broffice.org3/share/xdg/writer.desktop 2009-02-04 13:57:48.000000000 -0200
+@@ -4,7 +4,7 @@
+ Icon=brofficeorg3-writer
+ Type=Application
+ Categories=Office;X-Red-Hat-Base;X-SuSE-Core-Office;X-MandrivaLinux-Office-Wordprocessors;
+-Exec=broffice.org3 -writer %U
++Exec=swriter %U
+ MimeType=application/vnd.oasis.opendocument.text;application/vnd.oasis.opendocument.text-template;application/vnd.oasis.opendocument.text-web;application/vnd.oasis.opendocument.text-master;application/vnd.sun.xml.writer;application/vnd.sun.xml.writer.template;application/vnd.sun.xml.writer.global;application/vnd.stardivision.writer;application/msword;application/vnd.ms-word;application/x-doc;application/rtf;text/rtf;application/vnd.wordperfect;application/wordperfect;application/vnd.openxmlformats-officedocument.wordprocessingml.document;application/vnd.ms-word.document.macroenabled.12;application/vnd.openxmlformats-officedocument.wordprocessingml.template;application/vnd.ms-word.template.macroenabled.12;
+ Name=BrOffice.org 3.0 Writer
+ GenericName=Word Processor
diff --git a/office/broffice.org/doinst.sh b/office/broffice.org/doinst.sh
new file mode 100644
index 0000000000..88ab9f58ff
--- /dev/null
+++ b/office/broffice.org/doinst.sh
@@ -0,0 +1,16 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ for theme in gnome locolor hicolor ; do
+ if [ -e usr/share/icons/$theme/icon-theme.cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/$theme >/dev/null 2>&1
+ fi
+ done
+fi
+
diff --git a/office/broffice.org/slack-desc b/office/broffice.org/slack-desc
new file mode 100644
index 0000000000..45da81f44e
--- /dev/null
+++ b/office/broffice.org/slack-desc
@@ -0,0 +1,21 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------|
+broffice.org: BrOffice.org Office Suite (pt_BR version of OOo)
+broffice.org:
+broffice.org: BrOffice.org is the Brazilian version of OpenOffice.org.
+broffice.org:
+broffice.org: OpenOffice.org is a full-featured open-source office suite
+broffice.org: that is compatible with all other major office software.
+broffice.org:
+broffice.org: This is a repackaging of the official OpenOffice.org binary
+broffice.org: RPM's distributed by the upstream developers.
+broffice.org:
+broffice.org: Homepage: http://broffice.org
+broffice.org:
+broffice.org: